Mail archive
alpine-aports

[alpine-aports] [PATCH 2/4] testing/networkmanager: move post-install message

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 9 May 2015 20:06:24 +0000

post-install message moved to $pkgname/usr/share/doc/README.alpine
---
 testing/networkmanager/APKBUILD                    | 10 +++++-----
 testing/networkmanager/networkmanager.apk-post-msg |  2 --
 2 files changed, 5 insertions(+), 7 deletions(-)
 delete mode 100644 testing/networkmanager/networkmanager.apk-post-msg
diff --git a/testing/networkmanager/APKBUILD b/testing/networkmanager/APKBUILD
index 31ec957..7e05fcc 100644
--- a/testing/networkmanager/APKBUILD
+++ b/testing/networkmanager/APKBUILD
_at_@ -19,7 +19,6 @@ source="http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/$_ver/NetworkManag
 	$pkgname.conf
 	$pkgname.initd
 	$pkgname.rules
-	$pkgname.apk-post-msg
 	new-fix-musl-headers.patch
 	disable_set_hostname.patch
 	"
_at_@ -86,27 +85,28 @@ package() {
 	install -m644 -D "$srcdir/$pkgname.rules" \
                 "$pkgdir/usr/share/polkit-1/rules.d/01-org.freedesktop.NetworkManager.settings.modify.system.rules" || return 1
 	mkdir -p "$pkgdir/usr/share/apk-tools/$pkgname"
-        install -m644 "$srcdir/$pkgname.apk-post-msg" "$pkgdir/usr/share/apk-tools/$pkgname/post-install-message" || return 1
+	# post-install message
+	mv "$pkgdir/usr/share/doc/NetworkManager" "$pkgdir/usr/share/doc/$pkgname" || return 1
+        cat > $pkgdir/usr/share/doc/$pkgname/README.alpine <<EOF
+To modify system network connections without the root password: add your user account to the 'plugdev' group.
+EOF
 }
 
 md5sums="71cae8707a90fa92e28cafbc9262b548  NetworkManager-1.0.0.tar.xz
 b722fa02f904a9c8ed0d2ec21cbfc588  networkmanager.conf
 34f8909bb776840e7ec0579aeea14d30  networkmanager.initd
 a39b4feaf1edecc057596be6d82ba634  networkmanager.rules
-defcc48b47314560dd7bbf6c106dc803  networkmanager.apk-post-msg
 eb52238b018c2ca9cd969facbf3e4a39  new-fix-musl-headers.patch
 4f2c03bce7febd1eede0dc2c5f8b30d9  disable_set_hostname.patch"
 sha256sums="3a66afec670c975edd9832e620b725a5f16ed267a1b9e1b2d51ef27250d85947  NetworkManager-1.0.0.tar.xz
 cd2a4b0079c0726973c1cf226c4e1cb4f2d27d02c16e0e08af7e4d6b8770423c  networkmanager.conf
 05225f1f658f9287d95b4564beb1089245ab83ccae28ba5d2d4c8fc5aefde207  networkmanager.initd
 01f4b833c515e88c1963a0ee56ffbf70c59c5efc4dd59a5174498d2fabfc9362  networkmanager.rules
-2602eb20b9340b32ce6a8956bcc643592441e467c5aa9ab2ae8941df286cf158  networkmanager.apk-post-msg
 ea205946b52fca22b9ef8b1f3a4e89a69dca430201b5b0f441564d1659d9f295  new-fix-musl-headers.patch
 6fc7bc258ac01c2d2578f5a29e7eee55b98bbf8f32dae6d28dede7d7ee5e5c4e  disable_set_hostname.patch"
 sha512sums="7089496ce31bfdffe99c0f031b6326734d2e36b3bb9a2ed0ecbe3dad64bff0dc993b2e6bcac770b31bcfe634833bd8dbabc23d128356dbba8243a6d8fc489a5e  NetworkManager-1.0.0.tar.xz
 a6e507260e2ceffad4cacb2b49a1d4f6b933e5ae8bc50c1bd56f828298c5dc8d9d17aa4be766faeacefbe3c6c0c748e4ef499a55bb5ee40f0f04bbf766fbbc82  networkmanager.conf
 80ef470956bc5319f02e8387bff17c5452d4147321f9f997ca86017494d5134d8579bf59566fc796f3e84ee5788a2d49743d3b93e795f4976661866d1f1b1442  networkmanager.initd
 9820ed2ead0af689644842de57657bb10330a1eaff0e85b21ae9913f55e399e47d8b41b0a12956f30de80272b4424c6e55f33acbc88e156879003a260bf576f6  networkmanager.rules
-8271652a8f0f6b6072a1b6e9fa9d8e2cda7e7f38a3b7449216022b5a1a4cdc32c1bb4c8f0332b8e858354aab3a841abc8d77b1fed4b7db723ef82d5dab06475b  networkmanager.apk-post-msg
 18eff8eadcb8d47742a5c760c0c4a217d82749edc0060dc3b62e6aa0671f456de9d0c11b1669b302371410cd4036bf21aee468ed1d61e7a84afd3b694bc69984  new-fix-musl-headers.patch
 cdc8c26720b983f8afb11ee08c87aab863522633d8dc08e8cea080ed8d94378b3534aedf09efc6e7481599cfede6122b5f6a86b0b45e0a8bb653f95d4c5beaf8  disable_set_hostname.patch"
diff --git a/testing/networkmanager/networkmanager.apk-post-msg b/testing/networkmanager/networkmanager.apk-post-msg
deleted file mode 100644
index 9ceedb2..0000000
--- a/testing/networkmanager/networkmanager.apk-post-msg
+++ /dev/null
_at_@ -1,2 +0,0 @@
-To modify system network connections without the root password: add your user account to the 'plugdev' group.
-
-- 
2.4.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat May 09 2015 - 20:06:24 GMT